# Class TribbleIndexCreator

java.lang.Object
htsjdk.tribble.index.TribbleIndexCreator

All Implemented Interfaces:
  `IndexCreator`

Direct Known Subclasses:
  `DynamicIndexCreator, IntervalIndexCreator, LinearIndexCreator`

public abstract class TribbleIndexCreator extends Object implements IndexCreator
Base class for Tribble-specific index creators.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected LinkedHashMap<String,String>`
`properties`

## Constructor Summary

Constructors
Constructor
Description
`TribbleIndexCreator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addProperty(String key, String value)`
`void`
`setIndexSequenceDictionary(SAMSequenceDictionary dict)`
Set the sequence dictionary entries for the index property list.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IndexCreator

`addFeature, finalizeIndex`

## Field Details

### properties

protected LinkedHashMap<String,String> properties

## Constructor Details

### TribbleIndexCreator

public TribbleIndexCreator()

## Method Details

### addProperty

public void addProperty(String key, String value)

### setIndexSequenceDictionary

public void setIndexSequenceDictionary(SAMSequenceDictionary dict)
Set the sequence dictionary entries for the index property list.

Specified by:
  `setIndexSequenceDictionary` in interface `IndexCreator`
Parameters:
  `dict` - the dictionary to add to the index.